#include <avr/io.h>
#include <avr/interrupt.h>
#include "piano.h"

unsigned int frecv[8] =
{
/*DO   RE   MI   FA   SOL  LA   SI   DO*/
262, 293, 330, 349, 392, 440, 494, 523
};

void initTimer() {
        /* CTC mode */
        TCCR2A = _BV(WGM21);
        /* prescaler */
        TCCR2A |= _BV(CS22) | _BV(CS21) | _BV(CS20);
        /* OCR; every 10 ms */
        OCR2A = 156;
        /* timer interrupts */
        TIMSK0 |= _BV(OCIE2B) | _BV(TOIE2);
}


void setPWM()
{
        /* Enable output */
        TCCR1A |= _BV(COM1A0);
}

void unsetPWM()
{
        /* Disable output */
        TCCR1A &=~_BV(COM1A0);
}

void setNote(int note)
{
        /* Choose the note */
        OCR1A = frecv[note];
}



