#ifndef __PIANO_H_
#define __PIANO_H_

#define B_REC 5
#define B_PLAY 4
#define B_SING  3

#define L_REC 7
#define L_PLAY 6

#define MAX_SONG_SIZE 256

/* Working modes for the piano:
 *  - REC
 *  - PLAY
 *  - SING
 *  */
typedef enum {
        REC,
        PLAY,
        SING
} mode;

typedef struct {
        char index;
        unsigned int delay;
} note;

/* Initialize timer for piano logic */
void initTimer(void);
/* Enable output */
void setPWM(void);
/* Disable output*/
void unsetPWM(void);
/* Set note frequency */
void setNote(int);

#endif
